package moonlander

// Integrate printf-style formatting in Kotlin's format strings.
// Can pad numbers with spaces, and truncate digits after comma.

fun Double.format(total: Int, digits: Int) = java.lang.String.format("%$total.${digits}f", this)!!
fun Float.format(total: Int, digits: Int) = java.lang.String.format("%$total.${digits}f", this)!!