package moonlander

import java.io.File

/**
 * Utility function to write SVG images (for debug purposes)
 */
@Suppress("unused")
fun writeSVG(filename: String, svg: () -> String) {
	File(filename).writeText(
		"<svg width=\"2400px\" height=\"800px\" viewBox=\"-100 -30 180 60\" xmlns=\"http://www.w3.org/2000/svg\" >\n" +
				svg() +
				"\n</svg>"
	)
}