package moonlander.views.hud

import moonlander.views.text.FontRenderer

/**
 * Big text (font size 90) centered at (0,0).
 */
class BigHudMessage(maxLength: Int) : FontRenderer(StatsHUDView.font.deriveFont(90f), true, maxLength) {
	fun setText(s: String) {
		prepareTextBuffer(s, -getWidth(s) / 2f, -getHeight(s) / 2f)
	}
}